Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedit.textarea
Class TextUtilities

    java.lang.Object
      jedit.textarea.TextUtilities

    public class TextUtilities

extends java.lang.Object

Class with several utility functions used by the text area component.

Version:
  $Id: TextUtilities.java,v 1.1 2004/05/05 10:44:27 jferber Exp $
Author:
  Slava Pestov

Constructor Summary
`TextUtilities()`

Method Summary
`static int` | `findMatchingBracket(javax.swing.text.Document doc, int offset)` Returns the offset of the bracket matching the one at the specified offset of the document, or -1 if the bracket is unmatched (or if the character is not a bracket).
`static int` | `findWordEnd(java.lang.String line, int pos, java.lang.String noWordSep)` Locates the end of the word at the specified position.
`static int` | `findWordStart(java.lang.String line, int pos, java.lang.String noWordSep)` Locates the start of the word at the specified position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextUtilities

    public TextUtilities()

Method Detail

### findMatchingBracket

    public static int findMatchingBracket(javax.swing.text.Document doc,
                                          int offset)
                                   throws javax.swing.text.BadLocationException

  Returns the offset of the bracket matching the one at the specified offset of the document, or -1 if the bracket is unmatched (or if the character is not a bracket).

  Parameters:
    `doc` - The document
    `offset` - The offset
  Throws:
    `javax.swing.text.BadLocationException` - If an out-of-bounds access was attempted on the document text

### findWordStart

    public static int findWordStart(java.lang.String line,
                                    int pos,
                                    java.lang.String noWordSep)

  Locates the start of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position

### findWordEnd

    public static int findWordEnd(java.lang.String line,
                                  int pos,
                                  java.lang.String noWordSep)

  Locates the end of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.